Summary:	XMMS, BMP or Audacious player control plugin
Summary(pl.UTF-8):	Wtyczka do kontroli odtwarzacza XMMS, BMP lub Audacious
Name:		xfce4-playercontrol-plugin
Version:	0.3.0
Release:	10
License:	BSD-like (see COPYING)
Group:		X11/Applications
Source0:	http://www.bilimfeneri.gen.tr/ilgar/%{name}-%{version}.tar.bz2
# Source0-md5:	307c896467e204706cf04942151f2fcc
Patch0:		%{name}-audclient.patch
Patch1:		%{name}-ui.patch
Patch2:		%{name}-panel48.patch
Patch3:		%{name}-desktop.patch
Patch4:		%{name}-GtkTooltips.patch
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-xmms-plugin
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake
BuildRequires:	gettext-tools
BuildRequires:	intltool
BuildRequires:	libaudclient-devel
BuildRequires:	libtool
BuildRequires:	libxfce4ui-devel
BuildRequires:	pkgconfig
BuildRequires:	xfce4-dev-tools >= 4.4.0
BuildRequires:	xfce4-panel-devel >= 4.4.0
BuildRequires:	xmms-devel
Requires:	xfce4-panel >= 4.4.0
Suggests:	%{name}-audacious
Suggests:	%{name}-xmms
Obsoletes:	xfce4-xmms-plugin
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Plugin which provides you control on XMMS, BMP or Audacious media
player from Xfce panel.

%description -l pl.UTF-8
Wtyczka, która umożliwia kontrolę nad odtwarzaczem multimedialnym
XMMS, BMP lub Audacious z pozycji panelu Xfce.

%package audacious
Summary:	Audacious support for playercontrol plugin
Summary(pl.UTF-8):	Obsługa Audacious dla wtyczki playercontrol
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}

%description audacious
Audacious support for playercontrol plugin.

%description audacious -l pl.UTF-8
Obsługa Audacious dla wtyczki playercontrol.

%package xmms
Summary:	XMMS support for playercontrol plugin
Summary(pl.UTF-8):	Obsługa XMMS dla wtyczki playercontrol
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}

%description xmms
XMMS support for playercontrol plugin.

%description xmms -l pl.UTF-8
Obsługa XMMS dla wtyczki playercontrol.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static \
	--enable-xmms \
	--enable-audacious \
	--disable-mpd

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_datadir}/locale/pt{_PT,}
rm $RPM_BUILD_ROOT%{_libdir}/xfce4/panel-plugins/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog COPYING README
%attr(755,root,root) %{_libdir}/xfce4/panel-plugins/xfce4-playercontrol-plugin
%attr(755,root,root) %{_libdir}/xfce4/panel-plugins/libplayercontrol_dummy.so
%{_datadir}/xfce4/panel-plugins/xfce4-playercontrol-plugin.desktop
%{_datadir}/xfce4/xfce4-playercontrol-plugin

%files audacious
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/xfce4/panel-plugins/libplayercontrol_audacious.so

%files xmms
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/xfce4/panel-plugins/libplayercontrol_xmms.so
%changelog
* Mon Jul 20 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xfce4-playercontrol-plugin.git;a=log;h=master

* Mon Jul 20 2015 Jan Rękorajski <baggins@pld-linux.org> 48ce29d
- audclient has been split to separate package
- rel 10

* Tue Mar 31 2015 Jan Rękorajski <baggins@pld-linux.org> fd7200d
- rebuild for XFCE 4.12
- release 9 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> a159b57
- updated gettext BR

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 97c9281
- a bit more

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 6adf2a8
- update to current gtk api

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 5607b02
- libxfce4util.h is needed for xfce 4.10

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 00d351a
- release 8

* Mon Jun 13 2011 Jan Rękorajski <baggins@pld-linux.org> f2112c4
- rel 7
- audacious command is 'audacious' as of 2.5.0

* Mon Mar 07 2011 Jan Rękorajski <baggins@pld-linux.org> 7733594
- rel 6
- fix incompatibilities with 4.8 panel
- don't state the obvious in desktop file

* Mon Mar 07 2011 Jan Rękorajski <baggins@pld-linux.org> 49975a6
- 4.8 panel compatibility

* Mon Mar 07 2011 Jan Rękorajski <baggins@pld-linux.org> 96deaaa
- don't state the obsvious

* Tue Mar 01 2011 Jan Rękorajski <baggins@pld-linux.org> 5404073
- rel 5
- port to libxfce4ui

* Wed Feb 16 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 6fa07f2
- release 4

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> c375ddd
- BR: autoconf, gettext-devel, intltool

* Wed Nov 24 2010 Jan Rękorajski <baggins@pld-linux.org> ce27182
- rel 3
- it's audacious2 in PLD

* Wed Nov 24 2010 Jan Rękorajski <baggins@pld-linux.org> 73c3d78
- rel 2
- fix audacious client linking

* Thu Nov 11 2010 Jan Rękorajski <baggins@pld-linux.org> 0b5cd96
- initial revison, xfce4-xmms-plugin replacement

